
SpectreClass = {}

function SpectreClass.new(s, posx, posy, alpha)
	local s = s or {}
	setmetatable(s, {__index=SpectreClass})

	local speed
	speed = 0.2
	
	table.insert(s,{x = posx, y = posy, a = alpha, s = speed})
	print(s[1].x,s[1].y,s[1].a,s[1].s)
	return s
end

function SpectreClass:update(dt)
	local oldx,oldy,olda = s[1].x, s[1].y, s[1].a
	-- move
	s[1].x = s[1].x+s[1].s*math.cos(s[1].a)
	s[1].y = s[1].y+s[1].s*math.sin(s[1].a)

	s[1].x = math.floor(s[1].x*1000)/1000
	s[1].y = math.floor(s[1].y*1000)/1000
	s[1].a = math.mod(s[1].a,2*math.pi)
	s[1].a = math.floor(s[1].a*1000)/1000
--	s[1].a = math.deg(math.mod(math.rad(s[1].a),360))
	-- keep points together
--	if math.sqrt((s.x[1]-s.x[2])^2+(s.y[1]-s.y[2])^2)>150 then
--		s.a[1],s.a[2]=s.a[2]*0.7,s.a[1]*0.7
--	end
	-- collision
	if not z.collision((math.floor(s[1].x+0.5)),(math.floor(s[1].y+0.5))) then
		s[1].x,s[1].y,s[1].a = oldx,oldy,olda
		--s[1].a = 2*math.pi-s[1].a
		s[1].a = s[1].a*2*math.pi*math.random()
	end

	-- put line to array, remove last
--	print(s[1].a,s[1].a)
--	table.insert(s.line,1,{s.x[1],s.y[1], s.x[2],s.y[2]})
--	if #s.line>s.linenum then table.remove(s.line,s.linenum) end
end

function SpectreClass.draw()
	love.graphics.setColor(0, 255, 50)
	love.graphics.circle("line",s[1].x,s[1].y,2,12)
--	love.graphics.line(s.x[1],s.y[1], s.x[2],s.y[2])
end
